Adding upstream version 0.3.2.
[debian/lxrandr.git] / Makefile.in
1 # Makefile.in generated by automake 1.15 from Makefile.am.
2 # @configure_input@
3
4 # Copyright (C) 1994-2014 Free Software Foundation, Inc.
5
6 # This Makefile.in is free software; the Free Software Foundation
7 # gives unlimited permission to copy and/or distribute it,
8 # with or without modifications, as long as this notice is preserved.
9
10 # This program is distributed in the hope that it will be useful,
11 # but WITHOUT ANY WARRANTY, to the extent permitted by law; without
12 # even the implied warranty of MERCHANTABILITY or FITNESS FOR A
13 # PARTICULAR PURPOSE.
14
15 @SET_MAKE@
16 VPATH = @srcdir@
17 am__is_gnu_make = { \
18 if test -z '$(MAKELEVEL)'; then \
19 false; \
20 elif test -n '$(MAKE_HOST)'; then \
21 true; \
22 elif test -n '$(MAKE_VERSION)' && test -n '$(CURDIR)'; then \
23 true; \
24 else \
25 false; \
26 fi; \
27 }
28 am__make_running_with_option = \
29 case $${target_option-} in \
30 ?) ;; \
31 *) echo "am__make_running_with_option: internal error: invalid" \
32 "target option '$${target_option-}' specified" >&2; \
33 exit 1;; \
34 esac; \
35 has_opt=no; \
36 sane_makeflags=$$MAKEFLAGS; \
37 if $(am__is_gnu_make); then \
38 sane_makeflags=$$MFLAGS; \
39 else \
40 case $$MAKEFLAGS in \
41 *\\[\ \ ]*) \
42 bs=\\; \
43 sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
44 | sed "s/$$bs$$bs[$$bs $$bs ]*//g"`;; \
45 esac; \
46 fi; \
47 skip_next=no; \
48 strip_trailopt () \
49 { \
50 flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
51 }; \
52 for flg in $$sane_makeflags; do \
53 test $$skip_next = yes && { skip_next=no; continue; }; \
54 case $$flg in \
55 *=*|--*) continue;; \
56 -*I) strip_trailopt 'I'; skip_next=yes;; \
57 -*I?*) strip_trailopt 'I';; \
58 -*O) strip_trailopt 'O'; skip_next=yes;; \
59 -*O?*) strip_trailopt 'O';; \
60 -*l) strip_trailopt 'l'; skip_next=yes;; \
61 -*l?*) strip_trailopt 'l';; \
62 -[dEDm]) skip_next=yes;; \
63 -[JT]) skip_next=yes;; \
64 esac; \
65 case $$flg in \
66 *$$target_option*) has_opt=yes; break;; \
67 esac; \
68 done; \
69 test $$has_opt = yes
70 am__make_dryrun = (target_option=n; $(am__make_running_with_option))
71 am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
72 pkgdatadir = $(datadir)/@PACKAGE@
73 pkgincludedir = $(includedir)/@PACKAGE@
74 pkglibdir = $(libdir)/@PACKAGE@
75 pkglibexecdir = $(libexecdir)/@PACKAGE@
76 am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
77 install_sh_DATA = $(install_sh) -c -m 644
78 install_sh_PROGRAM = $(install_sh) -c
79 install_sh_SCRIPT = $(install_sh) -c
80 INSTALL_HEADER = $(INSTALL_DATA)
81 transform = $(program_transform_name)
82 NORMAL_INSTALL = :
83 PRE_INSTALL = :
84 POST_INSTALL = :
85 NORMAL_UNINSTALL = :
86 PRE_UNINSTALL = :
87 POST_UNINSTALL = :
88 subdir = .
89 ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
90 am__aclocal_m4_deps = $(top_srcdir)/acinclude.m4 \
91 $(top_srcdir)/configure.ac
92 am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
93 $(ACLOCAL_M4)
94 DIST_COMMON = $(srcdir)/Makefile.am $(top_srcdir)/configure \
95 $(am__configure_deps) $(am__DIST_COMMON)
96 am__CONFIG_DISTCLEAN_FILES = config.status config.cache config.log \
97 configure.lineno config.status.lineno
98 mkinstalldirs = $(install_sh) -d
99 CONFIG_HEADER = config.h
100 CONFIG_CLEAN_FILES =
101 CONFIG_CLEAN_VPATH_FILES =
102 AM_V_P = $(am__v_P_@AM_V@)
103 am__v_P_ = $(am__v_P_@AM_DEFAULT_V@)
104 am__v_P_0 = false
105 am__v_P_1 = :
106 AM_V_GEN = $(am__v_GEN_@AM_V@)
107 am__v_GEN_ = $(am__v_GEN_@AM_DEFAULT_V@)
108 am__v_GEN_0 = @echo " GEN " $@;
109 am__v_GEN_1 =
110 AM_V_at = $(am__v_at_@AM_V@)
111 am__v_at_ = $(am__v_at_@AM_DEFAULT_V@)
112 am__v_at_0 = @
113 am__v_at_1 =
114 SOURCES =
115 DIST_SOURCES =
116 RECURSIVE_TARGETS = all-recursive check-recursive cscopelist-recursive \
117 ctags-recursive dvi-recursive html-recursive info-recursive \
118 install-data-recursive install-dvi-recursive \
119 install-exec-recursive install-html-recursive \
120 install-info-recursive install-pdf-recursive \
121 install-ps-recursive install-recursive installcheck-recursive \
122 installdirs-recursive pdf-recursive ps-recursive \
123 tags-recursive uninstall-recursive
124 am__can_run_installinfo = \
125 case $$AM_UPDATE_INFO_DIR in \
126 n|no|NO) false;; \
127 *) (install-info --version) >/dev/null 2>&1;; \
128 esac
129 RECURSIVE_CLEAN_TARGETS = mostlyclean-recursive clean-recursive \
130 distclean-recursive maintainer-clean-recursive
131 am__recursive_targets = \
132 $(RECURSIVE_TARGETS) \
133 $(RECURSIVE_CLEAN_TARGETS) \
134 $(am__extra_recursive_targets)
135 AM_RECURSIVE_TARGETS = $(am__recursive_targets:-recursive=) TAGS CTAGS \
136 cscope distdir dist dist-all distcheck
137 am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) \
138 $(LISP)config.h.in
139 # Read a list of newline-separated strings from the standard input,
140 # and print each of them once, without duplicates. Input order is
141 # *not* preserved.
142 am__uniquify_input = $(AWK) '\
143 BEGIN { nonempty = 0; } \
144 { items[$$0] = 1; nonempty = 1; } \
145 END { if (nonempty) { for (i in items) print i; }; } \
146 '
147 # Make sure the list of sources is unique. This is necessary because,
148 # e.g., the same source file might be shared among _SOURCES variables
149 # for different programs/libraries.
150 am__define_uniq_tagged_files = \
151 list='$(am__tagged_files)'; \
152 unique=`for i in $$list; do \
153 if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
154 done | $(am__uniquify_input)`
155 ETAGS = etags
156 CTAGS = ctags
157 CSCOPE = cscope
158 DIST_SUBDIRS = $(SUBDIRS)
159 am__DIST_COMMON = $(srcdir)/Makefile.in $(srcdir)/config.h.in AUTHORS \
160 COPYING ChangeLog NEWS README compile install-sh missing
161 DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
162 distdir = $(PACKAGE)-$(VERSION)
163 top_distdir = $(distdir)
164 am__remove_distdir = \
165 if test -d "$(distdir)"; then \
166 find "$(distdir)" -type d ! -perm -200 -exec chmod u+w {} ';' \
167 && rm -rf "$(distdir)" \
168 || { sleep 5 && rm -rf "$(distdir)"; }; \
169 else :; fi
170 am__post_remove_distdir = $(am__remove_distdir)
171 am__relativize = \
172 dir0=`pwd`; \
173 sed_first='s,^\([^/]*\)/.*$$,\1,'; \
174 sed_rest='s,^[^/]*/*,,'; \
175 sed_last='s,^.*/\([^/]*\)$$,\1,'; \
176 sed_butlast='s,/*[^/]*$$,,'; \
177 while test -n "$$dir1"; do \
178 first=`echo "$$dir1" | sed -e "$$sed_first"`; \
179 if test "$$first" != "."; then \
180 if test "$$first" = ".."; then \
181 dir2=`echo "$$dir0" | sed -e "$$sed_last"`/"$$dir2"; \
182 dir0=`echo "$$dir0" | sed -e "$$sed_butlast"`; \
183 else \
184 first2=`echo "$$dir2" | sed -e "$$sed_first"`; \
185 if test "$$first2" = "$$first"; then \
186 dir2=`echo "$$dir2" | sed -e "$$sed_rest"`; \
187 else \
188 dir2="../$$dir2"; \
189 fi; \
190 dir0="$$dir0"/"$$first"; \
191 fi; \
192 fi; \
193 dir1=`echo "$$dir1" | sed -e "$$sed_rest"`; \
194 done; \
195 reldir="$$dir2"
196 GZIP_ENV = --best
197 DIST_ARCHIVES = $(distdir).tar.xz
198 DIST_TARGETS = dist-xz
199 distuninstallcheck_listfiles = find . -type f -print
200 am__distuninstallcheck_listfiles = $(distuninstallcheck_listfiles) \
201 | sed 's|^\./|$(prefix)/|' | grep -v '$(infodir)/dir$$'
202 distcleancheck_listfiles = find . -type f -print
203 ACLOCAL = @ACLOCAL@
204 ADDITIONAL_FLAGS = @ADDITIONAL_FLAGS@
205 ALL_LINGUAS = @ALL_LINGUAS@
206 AMTAR = @AMTAR@
207 AM_DEFAULT_VERBOSITY = @AM_DEFAULT_VERBOSITY@
208 AUTOCONF = @AUTOCONF@
209 AUTOHEADER = @AUTOHEADER@
210 AUTOMAKE = @AUTOMAKE@
211 AWK = @AWK@
212 CATALOGS = @CATALOGS@
213 CATOBJEXT = @CATOBJEXT@
214 CC = @CC@
215 CCDEPMODE = @CCDEPMODE@
216 CFLAGS = @CFLAGS@
217 CPP = @CPP@
218 CPPFLAGS = @CPPFLAGS@
219 CYGPATH_W = @CYGPATH_W@
220 DATADIRNAME = @DATADIRNAME@
221 DEFS = @DEFS@
222 DEPDIR = @DEPDIR@
223 ECHO_C = @ECHO_C@
224 ECHO_N = @ECHO_N@
225 ECHO_T = @ECHO_T@
226 EGREP = @EGREP@
227 EXEEXT = @EXEEXT@
228 GETTEXT_PACKAGE = @GETTEXT_PACKAGE@
229 GMOFILES = @GMOFILES@
230 GMSGFMT = @GMSGFMT@
231 GREP = @GREP@
232 GTK_CFLAGS = @GTK_CFLAGS@
233 GTK_LIBS = @GTK_LIBS@
234 INSTALL = @INSTALL@
235 INSTALL_DATA = @INSTALL_DATA@
236 INSTALL_PROGRAM = @INSTALL_PROGRAM@
237 INSTALL_SCRIPT = @INSTALL_SCRIPT@
238 INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
239 INSTOBJEXT = @INSTOBJEXT@
240 INTLLIBS = @INTLLIBS@
241 INTLTOOL_EXTRACT = @INTLTOOL_EXTRACT@
242 INTLTOOL_MERGE = @INTLTOOL_MERGE@
243 INTLTOOL_PERL = @INTLTOOL_PERL@
244 INTLTOOL_UPDATE = @INTLTOOL_UPDATE@
245 INTLTOOL_V_MERGE = @INTLTOOL_V_MERGE@
246 INTLTOOL_V_MERGE_OPTIONS = @INTLTOOL_V_MERGE_OPTIONS@
247 INTLTOOL__v_MERGE_ = @INTLTOOL__v_MERGE_@
248 INTLTOOL__v_MERGE_0 = @INTLTOOL__v_MERGE_0@
249 LDFLAGS = @LDFLAGS@
250 LIBOBJS = @LIBOBJS@
251 LIBS = @LIBS@
252 LTLIBOBJS = @LTLIBOBJS@
253 MAINT = @MAINT@
254 MAKEINFO = @MAKEINFO@
255 MKDIR_P = @MKDIR_P@
256 MKINSTALLDIRS = @MKINSTALLDIRS@
257 MSGFMT = @MSGFMT@
258 MSGFMT_OPTS = @MSGFMT_OPTS@
259 MSGMERGE = @MSGMERGE@
260 OBJEXT = @OBJEXT@
261 PACKAGE = @PACKAGE@
262 PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
263 PACKAGE_NAME = @PACKAGE_NAME@
264 PACKAGE_STRING = @PACKAGE_STRING@
265 PACKAGE_TARNAME = @PACKAGE_TARNAME@
266 PACKAGE_URL = @PACKAGE_URL@
267 PACKAGE_VERSION = @PACKAGE_VERSION@
268 PATH_SEPARATOR = @PATH_SEPARATOR@
269 PKG_CONFIG = @PKG_CONFIG@
270 PKG_CONFIG_LIBDIR = @PKG_CONFIG_LIBDIR@
271 PKG_CONFIG_PATH = @PKG_CONFIG_PATH@
272 POFILES = @POFILES@
273 POSUB = @POSUB@
274 PO_IN_DATADIR_FALSE = @PO_IN_DATADIR_FALSE@
275 PO_IN_DATADIR_TRUE = @PO_IN_DATADIR_TRUE@
276 SET_MAKE = @SET_MAKE@
277 SHELL = @SHELL@
278 STRIP = @STRIP@
279 USE_NLS = @USE_NLS@
280 VERSION = @VERSION@
281 XGETTEXT = @XGETTEXT@
282 XMLCATALOG = @XMLCATALOG@
283 XML_CATALOG_FILE = @XML_CATALOG_FILE@
284 XSLTPROC = @XSLTPROC@
285 abs_builddir = @abs_builddir@
286 abs_srcdir = @abs_srcdir@
287 abs_top_builddir = @abs_top_builddir@
288 abs_top_srcdir = @abs_top_srcdir@
289 ac_ct_CC = @ac_ct_CC@
290 am__include = @am__include@
291 am__leading_dot = @am__leading_dot@
292 am__quote = @am__quote@
293 am__tar = @am__tar@
294 am__untar = @am__untar@
295 bindir = @bindir@
296 build_alias = @build_alias@
297 builddir = @builddir@
298 datadir = @datadir@
299 datarootdir = @datarootdir@
300 docdir = @docdir@
301 dvidir = @dvidir@
302 exec_prefix = @exec_prefix@
303 host_alias = @host_alias@
304 htmldir = @htmldir@
305 includedir = @includedir@
306 infodir = @infodir@
307 install_sh = @install_sh@
308 intltool__v_merge_options_ = @intltool__v_merge_options_@
309 intltool__v_merge_options_0 = @intltool__v_merge_options_0@
310 libdir = @libdir@
311 libexecdir = @libexecdir@
312 localedir = @localedir@
313 localstatedir = @localstatedir@
314 mandir = @mandir@
315 mkdir_p = @mkdir_p@
316 oldincludedir = @oldincludedir@
317 pdfdir = @pdfdir@
318 prefix = @prefix@
319 program_transform_name = @program_transform_name@
320 psdir = @psdir@
321 runstatedir = @runstatedir@
322 sbindir = @sbindir@
323 sharedstatedir = @sharedstatedir@
324 srcdir = @srcdir@
325 sysconfdir = @sysconfdir@
326 target_alias = @target_alias@
327 top_build_prefix = @top_build_prefix@
328 top_builddir = @top_builddir@
329 top_srcdir = @top_srcdir@
330 ACLOCAL_AMFLAGS = -I .
331 SUBDIRS = src po data
332 EXTRA_DIST = autogen.sh
333 all: config.h
334 $(MAKE) $(AM_MAKEFLAGS) all-recursive
335
336 .SUFFIXES:
337 am--refresh: Makefile
338 @:
339 $(srcdir)/Makefile.in: @MAINTAINER_MODE_TRUE@ $(srcdir)/Makefile.am $(am__configure_deps)
340 @for dep in $?; do \
341 case '$(am__configure_deps)' in \
342 *$$dep*) \
343 echo ' cd $(srcdir) && $(AUTOMAKE) --foreign'; \
344 $(am__cd) $(srcdir) && $(AUTOMAKE) --foreign \
345 && exit 0; \
346 exit 1;; \
347 esac; \
348 done; \
349 echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign Makefile'; \
350 $(am__cd) $(top_srcdir) && \
351 $(AUTOMAKE) --foreign Makefile
352 Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
353 @case '$?' in \
354 *config.status*) \
355 echo ' $(SHELL) ./config.status'; \
356 $(SHELL) ./config.status;; \
357 *) \
358 echo ' cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe)'; \
359 cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe);; \
360 esac;
361
362 $(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
363 $(SHELL) ./config.status --recheck
364
365 $(top_srcdir)/configure: @MAINTAINER_MODE_TRUE@ $(am__configure_deps)
366 $(am__cd) $(srcdir) && $(AUTOCONF)
367 $(ACLOCAL_M4): @MAINTAINER_MODE_TRUE@ $(am__aclocal_m4_deps)
368 $(am__cd) $(srcdir) && $(ACLOCAL) $(ACLOCAL_AMFLAGS)
369 $(am__aclocal_m4_deps):
370
371 config.h: stamp-h1
372 @test -f $@ || rm -f stamp-h1
373 @test -f $@ || $(MAKE) $(AM_MAKEFLAGS) stamp-h1
374
375 stamp-h1: $(srcdir)/config.h.in $(top_builddir)/config.status
376 @rm -f stamp-h1
377 cd $(top_builddir) && $(SHELL) ./config.status config.h
378 $(srcdir)/config.h.in: @MAINTAINER_MODE_TRUE@ $(am__configure_deps)
379 ($(am__cd) $(top_srcdir) && $(AUTOHEADER))
380 rm -f stamp-h1
381 touch $@
382
383 distclean-hdr:
384 -rm -f config.h stamp-h1
385
386 # This directory's subdirectories are mostly independent; you can cd
387 # into them and run 'make' without going through this Makefile.
388 # To change the values of 'make' variables: instead of editing Makefiles,
389 # (1) if the variable is set in 'config.status', edit 'config.status'
390 # (which will cause the Makefiles to be regenerated when you run 'make');
391 # (2) otherwise, pass the desired values on the 'make' command line.
392 $(am__recursive_targets):
393 @fail=; \
394 if $(am__make_keepgoing); then \
395 failcom='fail=yes'; \
396 else \
397 failcom='exit 1'; \
398 fi; \
399 dot_seen=no; \
400 target=`echo $@ | sed s/-recursive//`; \
401 case "$@" in \
402 distclean-* | maintainer-clean-*) list='$(DIST_SUBDIRS)' ;; \
403 *) list='$(SUBDIRS)' ;; \
404 esac; \
405 for subdir in $$list; do \
406 echo "Making $$target in $$subdir"; \
407 if test "$$subdir" = "."; then \
408 dot_seen=yes; \
409 local_target="$$target-am"; \
410 else \
411 local_target="$$target"; \
412 fi; \
413 ($(am__cd) $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
414 || eval $$failcom; \
415 done; \
416 if test "$$dot_seen" = "no"; then \
417 $(MAKE) $(AM_MAKEFLAGS) "$$target-am" || exit 1; \
418 fi; test -z "$$fail"
419
420 ID: $(am__tagged_files)
421 $(am__define_uniq_tagged_files); mkid -fID $$unique
422 tags: tags-recursive
423 TAGS: tags
424
425 tags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
426 set x; \
427 here=`pwd`; \
428 if ($(ETAGS) --etags-include --version) >/dev/null 2>&1; then \
429 include_option=--etags-include; \
430 empty_fix=.; \
431 else \
432 include_option=--include; \
433 empty_fix=; \
434 fi; \
435 list='$(SUBDIRS)'; for subdir in $$list; do \
436 if test "$$subdir" = .; then :; else \
437 test ! -f $$subdir/TAGS || \
438 set "$$@" "$$include_option=$$here/$$subdir/TAGS"; \
439 fi; \
440 done; \
441 $(am__define_uniq_tagged_files); \
442 shift; \
443 if test -z "$(ETAGS_ARGS)$$*$$unique"; then :; else \
444 test -n "$$unique" || unique=$$empty_fix; \
445 if test $$# -gt 0; then \
446 $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
447 "$$@" $$unique; \
448 else \
449 $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
450 $$unique; \
451 fi; \
452 fi
453 ctags: ctags-recursive
454
455 CTAGS: ctags
456 ctags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
457 $(am__define_uniq_tagged_files); \
458 test -z "$(CTAGS_ARGS)$$unique" \
459 || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
460 $$unique
461
462 GTAGS:
463 here=`$(am__cd) $(top_builddir) && pwd` \
464 && $(am__cd) $(top_srcdir) \
465 && gtags -i $(GTAGS_ARGS) "$$here"
466 cscope: cscope.files
467 test ! -s cscope.files \
468 || $(CSCOPE) -b -q $(AM_CSCOPEFLAGS) $(CSCOPEFLAGS) -i cscope.files $(CSCOPE_ARGS)
469 clean-cscope:
470 -rm -f cscope.files
471 cscope.files: clean-cscope cscopelist
472 cscopelist: cscopelist-recursive
473
474 cscopelist-am: $(am__tagged_files)
475 list='$(am__tagged_files)'; \
476 case "$(srcdir)" in \
477 [\\/]* | ?:[\\/]*) sdir="$(srcdir)" ;; \
478 *) sdir=$(subdir)/$(srcdir) ;; \
479 esac; \
480 for i in $$list; do \
481 if test -f "$$i"; then \
482 echo "$(subdir)/$$i"; \
483 else \
484 echo "$$sdir/$$i"; \
485 fi; \
486 done >> $(top_builddir)/cscope.files
487
488 distclean-tags:
489 -rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
490 -rm -f cscope.out cscope.in.out cscope.po.out cscope.files
491
492 distdir: $(DISTFILES)
493 $(am__remove_distdir)
494 test -d "$(distdir)" || mkdir "$(distdir)"
495 @srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
496 topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
497 list='$(DISTFILES)'; \
498 dist_files=`for file in $$list; do echo $$file; done | \
499 sed -e "s|^$$srcdirstrip/||;t" \
500 -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
501 case $$dist_files in \
502 */*) $(MKDIR_P) `echo "$$dist_files" | \
503 sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
504 sort -u` ;; \
505 esac; \
506 for file in $$dist_files; do \
507 if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
508 if test -d $$d/$$file; then \
509 dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
510 if test -d "$(distdir)/$$file"; then \
511 find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
512 fi; \
513 if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
514 cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
515 find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
516 fi; \
517 cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
518 else \
519 test -f "$(distdir)/$$file" \
520 || cp -p $$d/$$file "$(distdir)/$$file" \
521 || exit 1; \
522 fi; \
523 done
524 @list='$(DIST_SUBDIRS)'; for subdir in $$list; do \
525 if test "$$subdir" = .; then :; else \
526 $(am__make_dryrun) \
527 || test -d "$(distdir)/$$subdir" \
528 || $(MKDIR_P) "$(distdir)/$$subdir" \
529 || exit 1; \
530 dir1=$$subdir; dir2="$(distdir)/$$subdir"; \
531 $(am__relativize); \
532 new_distdir=$$reldir; \
533 dir1=$$subdir; dir2="$(top_distdir)"; \
534 $(am__relativize); \
535 new_top_distdir=$$reldir; \
536 echo " (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) top_distdir="$$new_top_distdir" distdir="$$new_distdir" \\"; \
537 echo " am__remove_distdir=: am__skip_length_check=: am__skip_mode_fix=: distdir)"; \
538 ($(am__cd) $$subdir && \
539 $(MAKE) $(AM_MAKEFLAGS) \
540 top_distdir="$$new_top_distdir" \
541 distdir="$$new_distdir" \
542 am__remove_distdir=: \
543 am__skip_length_check=: \
544 am__skip_mode_fix=: \
545 distdir) \
546 || exit 1; \
547 fi; \
548 done
549 -test -n "$(am__skip_mode_fix)" \
550 || find "$(distdir)" -type d ! -perm -755 \
551 -exec chmod u+rwx,go+rx {} \; -o \
552 ! -type d ! -perm -444 -links 1 -exec chmod a+r {} \; -o \
553 ! -type d ! -perm -400 -exec chmod a+r {} \; -o \
554 ! -type d ! -perm -444 -exec $(install_sh) -c -m a+r {} {} \; \
555 || chmod -R a+r "$(distdir)"
556 dist-gzip: distdir
557 tardir=$(distdir) && $(am__tar) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).tar.gz
558 $(am__post_remove_distdir)
559
560 dist-bzip2: distdir
561 tardir=$(distdir) && $(am__tar) | BZIP2=$${BZIP2--9} bzip2 -c >$(distdir).tar.bz2
562 $(am__post_remove_distdir)
563
564 dist-lzip: distdir
565 tardir=$(distdir) && $(am__tar) | lzip -c $${LZIP_OPT--9} >$(distdir).tar.lz
566 $(am__post_remove_distdir)
567 dist-xz: distdir
568 tardir=$(distdir) && $(am__tar) | XZ_OPT=$${XZ_OPT--e} xz -c >$(distdir).tar.xz
569 $(am__post_remove_distdir)
570
571 dist-tarZ: distdir
572 @echo WARNING: "Support for distribution archives compressed with" \
573 "legacy program 'compress' is deprecated." >&2
574 @echo WARNING: "It will be removed altogether in Automake 2.0" >&2
575 tardir=$(distdir) && $(am__tar) | compress -c >$(distdir).tar.Z
576 $(am__post_remove_distdir)
577
578 dist-shar: distdir
579 @echo WARNING: "Support for shar distribution archives is" \
580 "deprecated." >&2
581 @echo WARNING: "It will be removed altogether in Automake 2.0" >&2
582 shar $(distdir) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).shar.gz
583 $(am__post_remove_distdir)
584
585 dist-zip: distdir
586 -rm -f $(distdir).zip
587 zip -rq $(distdir).zip $(distdir)
588 $(am__post_remove_distdir)
589
590 dist dist-all:
591 $(MAKE) $(AM_MAKEFLAGS) $(DIST_TARGETS) am__post_remove_distdir='@:'
592 $(am__post_remove_distdir)
593
594 # This target untars the dist file and tries a VPATH configuration. Then
595 # it guarantees that the distribution is self-contained by making another
596 # tarfile.
597 distcheck: dist
598 case '$(DIST_ARCHIVES)' in \
599 *.tar.gz*) \
600 GZIP=$(GZIP_ENV) gzip -dc $(distdir).tar.gz | $(am__untar) ;;\
601 *.tar.bz2*) \
602 bzip2 -dc $(distdir).tar.bz2 | $(am__untar) ;;\
603 *.tar.lz*) \
604 lzip -dc $(distdir).tar.lz | $(am__untar) ;;\
605 *.tar.xz*) \
606 xz -dc $(distdir).tar.xz | $(am__untar) ;;\
607 *.tar.Z*) \
608 uncompress -c $(distdir).tar.Z | $(am__untar) ;;\
609 *.shar.gz*) \
610 GZIP=$(GZIP_ENV) gzip -dc $(distdir).shar.gz | unshar ;;\
611 *.zip*) \
612 unzip $(distdir).zip ;;\
613 esac
614 chmod -R a-w $(distdir)
615 chmod u+w $(distdir)
616 mkdir $(distdir)/_build $(distdir)/_build/sub $(distdir)/_inst
617 chmod a-w $(distdir)
618 test -d $(distdir)/_build || exit 0; \
619 dc_install_base=`$(am__cd) $(distdir)/_inst && pwd | sed -e 's,^[^:\\/]:[\\/],/,'` \
620 && dc_destdir="$${TMPDIR-/tmp}/am-dc-$$$$/" \
621 && am__cwd=`pwd` \
622 && $(am__cd) $(distdir)/_build/sub \
623 && ../../configure \
624 $(AM_DISTCHECK_CONFIGURE_FLAGS) \
625 $(DISTCHECK_CONFIGURE_FLAGS) \
626 --srcdir=../.. --prefix="$$dc_install_base" \
627 && $(MAKE) $(AM_MAKEFLAGS) \
628 && $(MAKE) $(AM_MAKEFLAGS) dvi \
629 && $(MAKE) $(AM_MAKEFLAGS) check \
630 && $(MAKE) $(AM_MAKEFLAGS) install \
631 && $(MAKE) $(AM_MAKEFLAGS) installcheck \
632 && $(MAKE) $(AM_MAKEFLAGS) uninstall \
633 && $(MAKE) $(AM_MAKEFLAGS) distuninstallcheck_dir="$$dc_install_base" \
634 distuninstallcheck \
635 && chmod -R a-w "$$dc_install_base" \
636 && ({ \
637 (cd ../.. && umask 077 && mkdir "$$dc_destdir") \
638 && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" install \
639 && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" uninstall \
640 && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" \
641 distuninstallcheck_dir="$$dc_destdir" distuninstallcheck; \
642 } || { rm -rf "$$dc_destdir"; exit 1; }) \
643 && rm -rf "$$dc_destdir" \
644 && $(MAKE) $(AM_MAKEFLAGS) dist \
645 && rm -rf $(DIST_ARCHIVES) \
646 && $(MAKE) $(AM_MAKEFLAGS) distcleancheck \
647 && cd "$$am__cwd" \
648 || exit 1
649 $(am__post_remove_distdir)
650 @(echo "$(distdir) archives ready for distribution: "; \
651 list='$(DIST_ARCHIVES)'; for i in $$list; do echo $$i; done) | \
652 sed -e 1h -e 1s/./=/g -e 1p -e 1x -e '$$p' -e '$$x'
653 distuninstallcheck:
654 @test -n '$(distuninstallcheck_dir)' || { \
655 echo 'ERROR: trying to run $@ with an empty' \
656 '$$(distuninstallcheck_dir)' >&2; \
657 exit 1; \
658 }; \
659 $(am__cd) '$(distuninstallcheck_dir)' || { \
660 echo 'ERROR: cannot chdir into $(distuninstallcheck_dir)' >&2; \
661 exit 1; \
662 }; \
663 test `$(am__distuninstallcheck_listfiles) | wc -l` -eq 0 \
664 || { echo "ERROR: files left after uninstall:" ; \
665 if test -n "$(DESTDIR)"; then \
666 echo " (check DESTDIR support)"; \
667 fi ; \
668 $(distuninstallcheck_listfiles) ; \
669 exit 1; } >&2
670 distcleancheck: distclean
671 @if test '$(srcdir)' = . ; then \
672 echo "ERROR: distcleancheck can only run from a VPATH build" ; \
673 exit 1 ; \
674 fi
675 @test `$(distcleancheck_listfiles) | wc -l` -eq 0 \
676 || { echo "ERROR: files left in build directory after distclean:" ; \
677 $(distcleancheck_listfiles) ; \
678 exit 1; } >&2
679 check-am: all-am
680 check: check-recursive
681 all-am: Makefile config.h
682 installdirs: installdirs-recursive
683 installdirs-am:
684 install: install-recursive
685 install-exec: install-exec-recursive
686 install-data: install-data-recursive
687 uninstall: uninstall-recursive
688
689 install-am: all-am
690 @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
691
692 installcheck: installcheck-recursive
693 install-strip:
694 if test -z '$(STRIP)'; then \
695 $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
696 install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
697 install; \
698 else \
699 $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
700 install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
701 "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'" install; \
702 fi
703 mostlyclean-generic:
704
705 clean-generic:
706
707 distclean-generic:
708 -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
709 -test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
710
711 maintainer-clean-generic:
712 @echo "This command is intended for maintainers to use"
713 @echo "it deletes files that may require special tools to rebuild."
714 clean: clean-recursive
715
716 clean-am: clean-generic mostlyclean-am
717
718 distclean: distclean-recursive
719 -rm -f $(am__CONFIG_DISTCLEAN_FILES)
720 -rm -f Makefile
721 distclean-am: clean-am distclean-generic distclean-hdr distclean-tags
722
723 dvi: dvi-recursive
724
725 dvi-am:
726
727 html: html-recursive
728
729 html-am:
730
731 info: info-recursive
732
733 info-am:
734
735 install-data-am:
736
737 install-dvi: install-dvi-recursive
738
739 install-dvi-am:
740
741 install-exec-am:
742
743 install-html: install-html-recursive
744
745 install-html-am:
746
747 install-info: install-info-recursive
748
749 install-info-am:
750
751 install-man:
752
753 install-pdf: install-pdf-recursive
754
755 install-pdf-am:
756
757 install-ps: install-ps-recursive
758
759 install-ps-am:
760
761 installcheck-am:
762
763 maintainer-clean: maintainer-clean-recursive
764 -rm -f $(am__CONFIG_DISTCLEAN_FILES)
765 -rm -rf $(top_srcdir)/autom4te.cache
766 -rm -f Makefile
767 maintainer-clean-am: distclean-am maintainer-clean-generic
768
769 mostlyclean: mostlyclean-recursive
770
771 mostlyclean-am: mostlyclean-generic
772
773 pdf: pdf-recursive
774
775 pdf-am:
776
777 ps: ps-recursive
778
779 ps-am:
780
781 uninstall-am:
782
783 .MAKE: $(am__recursive_targets) all install-am install-strip
784
785 .PHONY: $(am__recursive_targets) CTAGS GTAGS TAGS all all-am \
786 am--refresh check check-am clean clean-cscope clean-generic \
787 cscope cscopelist-am ctags ctags-am dist dist-all dist-bzip2 \
788 dist-gzip dist-lzip dist-shar dist-tarZ dist-xz dist-zip \
789 distcheck distclean distclean-generic distclean-hdr \
790 distclean-tags distcleancheck distdir distuninstallcheck dvi \
791 dvi-am html html-am info info-am install install-am \
792 install-data install-data-am install-dvi install-dvi-am \
793 install-exec install-exec-am install-html install-html-am \
794 install-info install-info-am install-man install-pdf \
795 install-pdf-am install-ps install-ps-am install-strip \
796 installcheck installcheck-am installdirs installdirs-am \
797 maintainer-clean maintainer-clean-generic mostlyclean \
798 mostlyclean-generic pdf pdf-am ps ps-am tags tags-am uninstall \
799 uninstall-am
800
801 .PRECIOUS: Makefile
802
803
804 # Tell versions [3.59,3.63) of GNU make to not export all variables.
805 # Otherwise a system limit (for SysV at least) may be exceeded.
806 .NOEXPORT: